The Host Access Management Agents (HAMA) documentation (HostMAHelp.chm) lists the following platforms that are supported with HAMA version 3:

  • eTrust CA-ACF2 Security r8 for z/OS Service Pack 2
  • eTrust CA-ACF2 Security for z/OS r6.5
  • eTrust CA-Top Secret Security r8 for z/OS Service Pack 2
  • eTrust CA-Top Secret for z/OS r6.5
  • IBM OS/400 V5R2
  • IBM OS/400 V5R3
  • IBM OS/400 V5R4
  • IBM RACF OS/390 V2R10
  • IBM RACF Z/OS V1R4
  • IBM RACF Z/OS V1R5
  • IBM RACF Z/OS V1R6

These were the platforms that were available when HAMA V3 was released and these were the platforms that HAMA was tested against.

Occasionally, the question comes up whether HAMA is supported with newer versions of RACF, CA-ACF2, Top Secret, and OS/400. For example, the question of whether the RACF MA works with IBM RACF z/OS V1R9 has been asked a couple of times.

The answer to this question is that HAMA should work fine with new versions of these platforms. It is difficult to give a definite answer because testing would need to be completed against newer releases to verify functionality. However, since the MAs included in HAMA use basic commands to integrate with these platforms, the odds are that the MAs will work just fine with newer releases of these platforms. Please refer to the “Microsoft Host Access Management Agents Commands” section of the HAMA V3 help file for a list of commands that each of the MAs use when communicating with these host security systems.

As long as the newer versions of CA-ACF2, RACF, Top Secret and OS/400 support the basic commands that they have supported in the listed versions, you shouldn’t have any problems using HAMA with newer platform versions.

Caveat: Since the newer platform versions are not explicitly listed as supported platforms in the HAMA V3 documentation, there is the possibility that issues could arise specific to the newer versions. Therefore, you could be told that you are in an unsupported environment if you were to encounter problems. If you plan on trying to use HAMA V3 with a platform that is not explicitly listed in the documentation as supported, it would be best to contact Microsoft Support to determine the supportability of the environment. Better safe than sorry as they say.